<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# GETPOSCTARD                                                      #
# Képeslap megtekintésének programja                               #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.22.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/
// Cím kiírása
  echo "        <div class=\"cim\">".ucfirst($szoveg[kepeslapmegtekint])."</div><p>\n";

// Megkeressük az ID-jű képeslapot az adatázisban
  $s = "SELECT *, MD5(k_azon) AS ID  FROM kepeslapok 
      LEFT JOIN nezet_mualkotas_fotoi on k_fotokod = foto_kod
      WHERE (MD5(k_azon) = '".$id."')
      ORDER BY k_azon desc";    
  $lekerdezes_kepeslapok = lekerdezes($s);
// Ha van létező képeslap, kiírjuk  
  if (ossz_rekord($lekerdezes_kepeslapok)>0) {
    $rekord_kepeslap = olvas_asszociativ($lekerdezes_kepeslapok);    
    echo "        <img src=\"".$dir['modules']."/imagecard.php?id=".$rekord_kepeslap[foto_kod]."\" class=\"kepeslap\" align=\"left\">\n";
    echo "        <table class=\"kepeslapszoveg\" align=\"right\"><tr><td><img src=\"images/belyeg.gif\" width=\"38\" height=\"38\" align=\"right\"></td></tr>\n";
    echo "        <tr><td align=\"left\">\n";
    echo "           <div class=\"kepeslapcimzett\">".$rekord_kepeslap[k_cnev]."</div>\n";
    echo "           <div class=\"kepeslapcimzett2\">".$rekord_kepeslap[k_cemail]."</div>\n";
    echo "           <div class=\"kepeslapszoveg\">".$rekord_kepeslap[k_uzenet]."</div>\n";
    echo "           <div class=\"kepeslapkuldo\">".$rekord_kepeslap[k_fnev]." (".$rekord_kepeslap[k_femail].")</div>\n";
    echo "        </td></tr></table>\n";
    // Karbantartás, korábbi képeslapok törlése
    $torlesido = 60*60*24*14; // 14 nap
    $torles = lekerdezes("DELETE FROM kepeslapok WHERE k_azon<'".date('Y-m-d H:i:s',time()-$torlesido)."'");  }  
// Egyébként hibaüzenet, hogy nincs ilyen képeslap vagy már töröltük  
  else {
    echo "        <div class=\"hiba\">".ucfirst($szoveg[kepeslapnincs])."! ".ucfirst($szoveg[kepeslapellenoriz])." ".$szoveg[level_taroljuk].".</div>";
  }
// Küldjön Ön is képeslapot vagy böngésszen szoborparkunkban
    echo "        <br clear=\"left\"><p><br>\n";
    echo "        <div class=\"szoveg\">\n";
    echo "          <a href=?do=gallery class=\"link\">".ucfirst($szoveg[kepeslapkuldjon])."!</a><br>\n";
    echo "          <a href=?do=browse class=\"link\">".ucfirst($szoveg[szoborparkbongesz])."!</a>\n";
    echo "        </div>\n";
?>      
